sensorfw: datatypes/xyz.h File Reference

sensorfw

Classes | Functions
xyz.h File Reference

QObject based datatype for TimedXYZData. More...

`#include <QDBusArgument>`
`#include <datatypes/orientationdata.h>`

Go to the source code of this file.

## Classes
class | XYZ
| QObject facade for XYZData. More...

## Functions
QDBusArgument & | operator<< (QDBusArgument &argument, const XYZ &xyz)
| Marshall the XYZ data into a D-Bus argument. More...
const QDBusArgument & | operator>> (const QDBusArgument &argument, XYZ &xyz)
| Unmarshall XYZ data from the D-Bus argument. More...

## Detailed Description

QObject based datatype for TimedXYZData.

Copyright (C) 2009-2010 Nokia Corporation

Author
  Joep van Gassel joep..nosp@m.van..nosp@m.gasse.nosp@m.l@no.nosp@m.kia.c.nosp@m.om
  Timo Rongas ext-t.nosp@m.imo..nosp@m.2.ron.nosp@m.gas@.nosp@m.nokia.nosp@m..com

This file is part of Sensord.

Sensord is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License version 2.1 as published by the Free Software Foundation.

Sensord is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with Sensord. If not, see http://www.gnu.org/licenses/.

Definition in file xyz.h.

## Function Documentation

## ◆ operator<<()

QDBusArgument & operator<< | ( | QDBusArgument & | argument,
|  | const XYZ & | xyz
| ) |  |
| inline

Marshall the XYZ data into a D-Bus argument.

Parameters

  argument | dbus argument.
  xyz | data to marshall.

Returns
  dbus argument.

Definition at line 130 of file xyz.h.

## ◆ operator>>()

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | XYZ & | xyz
| ) |  |
| inline

Unmarshall XYZ data from the D-Bus argument.

Parameters

  argument | dbus argument.
  xyz | unmarshalled data.

Returns
  dbus argument.

Definition at line 145 of file xyz.h.